
using System;

namespace Calculator
{

	/// <summary>
	/// Operator class
	/// </summary>
	public abstract class Operator: INode
	{

		private string stringRep; 
		/// <summary>
		/// Operator constructor
		/// </summary>
		/// <param name="s">
		/// A <see cref="System.String"/>
		/// </param>
		public Operator(string s)
		{
			stringRep = s;
		}
		
		/// <summary>
		/// Descendants will implement double dispatch using themselves as specific operand and the specific visitor passed as argument
		/// </summary>
		/// <param name="v">
		/// A <see cref="IVisitor"/>
		/// </param>
		public abstract void Accept(IVisitor v);
		
		/// <summary>
		/// String representation of an operator
		/// </summary>
		/// <returns>
		/// A <see cref="System.String"/>
		/// </returns>
		public override string ToString ()
		{
			return string.Format("Operator: {0}", stringRep);
		}                  
	}
}
